#!/bin/bash
FILE=/lib/libncursest.so
work_dir="${PWD}"
cores="$(nproc)"
curses_url="https://github.com/wmcbrine/PDCurses.git"
        mkdir pdcurses
        git clone "${curses_url}" pdcurses
        echo "Fetched pdcurses source code from ${curses_url}..."
        cd pdcurses/sdl2 || exit
        echo "Running make..."         
        make -j"${cores}" > /dev/null
	echo "PDCurses has been compiled, and will be linked statically."

#	cd lib || exit
#	FILE=libncursest.so.?.?
	
#	if ls /lib/${FILE} 1> /dev/null 2>&1 ; then
#		echo "You have a version of ncurses that was identical to the one that was compiled."
#		echo " Quitting..."
#		exit
#	else
#		echo "You have a different version of ncurses than the one that was just compiled."
#		read -p "Would you like to install the new version? [y/N] " userchoice
#
#
#		if [ "$userchoice" = "Y" ]; then
#			echo "The program will now attempt to install the new version of ncurses (the one that was just compiled). In order to do this, the sudo password is required."
#			echo "Installing the new version of ncurses..."
#			sudo make install
#			echo "The new version has been installed. The program will now quit."
#			echo "Quitting..."
#			exit
#
#		else
#			echo "You chose to not install the new ncurses version. This program will now quit."
#			echo "Quitting..."
#			exit			
#		fi
#	fi
